/*
Theme Name:     Divi Child Theme
Theme URI:      http://www.elegantthemes.com
Description:    Child Theme for Divi Theme by Elegant Themes
Author:         3 Plus Solutions
Author URI:     https://www.3plus.solutions
Template:       Divi
Version:        1.0.2
*/

/* =Ab hier kannst du deine CSS-Anpassungen eintragen
------------------------------------------------------- */

/* ===== FONTS ===== */
@font-face {
  font-family: 'Inter';
  src: url('/wp-content/uploads/fonts/Inter-VariableFont_opsz,wght.ttf') format('truetype-variations');
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Inter';
  src: url('/wp-content/uploads/fonts/Inter-Italic-VariableFont_opsz,wght.ttf') format('truetype-variations');
  font-weight: 100 900;
  font-style: italic;
  font-display: swap;
}

/* ===== MENÜ =====*/
.et_header_style_left #et-top-navigation nav > ul > li > a,
.et_header_style_left .et-fixed-header #et-top-navigation nav > ul > li > a{
	padding-bottom: 33px;
	margin-bottom: 25px;
	padding: 8px 10px;
	border-radius: 10px;
	transition: all 0.3s ease;
}

.et_header_style_left #et-top-navigation nav > ul > li > a:hover {
	color: var(--gcid-6tgp4pgf66);
	opacity: 1;
}

#top-menu li {
	padding-right: 0px;
}

#top-menu li.menu-item a {
  font-size: clamp(14px, 1.2vw, 16px);
}

.active-anchor {
	background: var(--gcid-vf2mm4zazu);
}

/* ===== HOVER BLUR EFFEKT ===== */
.hover-blur {
	transition: all 0.3s ease;
	opacity: 0;
}

.hover-blur:hover {
	opacity: 1;
}

/* ===== ROTATING TOGGLE ICON ===== */
.et_pb_toggle_title::before {
	transition: all 0.3s ease;
}
.et_pb_toggle_open .et_pb_toggle_title::before {
	transform: rotateZ(45deg);
}

/* ===== PROZESS HOVER ===== */
.prozess-wrapper, .prozess-round-border {
	transition: all 0.3s ease;
}

.prozess-wrapper:hover {
    border-color: var(--gcid-primary-color);
}

.prozess-wrapper:hover > .prozess-round-border {
    background-color: var(--gcid-primary-color);
}

/* ===== MOBILE AUTO SCROLL TRUST ROW ===== */
.scroll-wrapper {
	overflow: hidden;
}

#scroll-row {
	width: max-content;
	flex-wrap: nowrap;
	animation: scrollLoop 20s linear infinite;
}

#scroll-row .scroll-col {
	flex: 0 0 auto;
	width: max-content;
}

#scroll-row .scroll-col .et_pb_text_inner,
#scroll-row .scroll-col .et_pb_blurb {
	white-space: nowrap;
	flex-shrink: 0;
}

@keyframes scrollLoop {
	0%   { transform: translateX(0); }
	100% { transform: translateX(-50%); }
}

/* Nur mobil aktivieren */
@media (min-width: 981px) {
	#scroll-row {
		animation: none;
		transform: none;
		width: auto;
	}
	#scroll-row .scroll-col {
		flex: initial;
		width: auto;
	}
	.scroll-col-hidden {
		display: none;
	}
	.first-scroll-item .et_pb_main_blurb_image {
		display: none;
	}
}